1
0 3
0 38 3
0 33 11
52
55
71
97
96
68
69
90
63
50
75
1 39 13
213
200
242
203
220
216
211
248
243
249
239
231
207
2 28 14
45
43
34
10
28
0
36
46
3
49
16
1
21
27
1 34 3
3 33 10
91
61
98
77
54
95
58
51
76
83
4 24 11
142
115
147
130
116
148
114
139
119
103
135
5 33 10
175
152
182
195
187
150
197
196
167
163
2 28 3
6 24 6
105
143
121
110
145
109
7 39 7
222
226
234
206
245
201
244
8 33 5
165
174
153
156
192
